pcl::PointCorrespondence3D Struct Reference
Module common

Representation of a (possible) correspondence between two 3D points in two different coordinate frames (e.g. More...

`#include <pcl/correspondence.h>`

Inheritance diagram for pcl::PointCorrespondence3D:

## Public Member Functions

| PointCorrespondence3D ()
| Empty constructor. More...
virtual | ~PointCorrespondence3D ()
| Empty destructor. More...
Public Member Functions inherited from pcl::Correspondence
| Correspondence ()
| Standard constructor. More...
| Correspondence (int _index_query, int _index_match, float _distance)
| Constructor. More...
virtual | ~Correspondence ()
| Empty destructor. More...

## Public Attributes

Eigen::Vector3f | point1
| The 3D position of the point in the first coordinate frame. More...
Eigen::Vector3f | point2
| The 3D position of the point in the second coordinate frame. More...
Public Attributes inherited from pcl::Correspondence
int | index_query
| Index of the query (source) point. More...
int | index_match
| Index of the matching (target) point. More...
union {
float distance
float weight
}; |
| Distance between the corresponding points, or the weight denoting the confidence in correspondence estimation. More...

## Detailed Description

Representation of a (possible) correspondence between two 3D points in two different coordinate frames (e.g.

from feature matching)

Definition at line 120 of file correspondence.h.

## Constructor & Destructor Documentation

pcl::PointCorrespondence3D::PointCorrespondence3D | ( |  | ) |

inline

Empty constructor.

Definition at line 126 of file correspondence.h.

virtual pcl::PointCorrespondence3D::~PointCorrespondence3D | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 129 of file correspondence.h.

## Member Data Documentation

Eigen::Vector3f pcl::PointCorrespondence3D::point1

The 3D position of the point in the first coordinate frame.

Definition at line 122 of file correspondence.h.

Eigen::Vector3f pcl::PointCorrespondence3D::point2

The 3D position of the point in the second coordinate frame.

Definition at line 123 of file correspondence.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/correspondence.h